Bug 1270202 - [python-matplotlib] missing dependency on texlive-dvipng
[python-matplotlib] missing dependency on texlive-dvipng
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 05:23 EDT by Joachim Frieben
Modified: 2016-05-07 08:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-matplotlib-1.4.3-14.fc23 python-matplotlib-1.5.1-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-24 01:21:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2015-10-09 05:23:36 EDT
Description of problem:
The execution of a Matplotlib command invoking LaTeX fails because dvipng is called but not installed on the system:

    $ ./test.py
    sh: dvipng: command not found
    Exception in Tkinter callback

Version-Release number of selected component (if applicable):
python-matplotlib-1.4.3-6.fc2

How reproducible:
Always.

Steps to Reproduce:
1. Run Matplotlib script calling LaTeX.

Actual results:
Exception triggered because dvipng is not available.

Expected results:
Matplotlib script is executed as expected.

Additional info:
Issue is resolved by installing package texlive-dvipng.
Comment 1 Volker Fröhlich 2016-03-27 08:01:24 EDT
This appears to be solved in 1.4.3-9 for Fedora 23. Later versions of Fedora seem to be fine too.
Comment 2 Joachim Frieben 2016-03-27 10:24:02 EDT
(In reply to Volker Fröhlich from comment #1)
To be more precise: texlive-dvipng is still a missing dependency of the subpackage python3-matplotlib of the actual component python-matplotlib in both Fedora 23 and Fedora 24. It is included, however, for the subpackage python(2)-matplotlib.
Comment 3 Fedora Update System 2016-04-06 17:26:04 EDT
python-matplotlib-1.5.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8bc6225f
Comment 4 Fedora Update System 2016-04-07 12:53:35 EDT
python-matplotlib-1.5.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8bc6225f
Comment 5 Joachim Frieben 2016-04-07 15:15:03 EDT
Issue has been fixed in python-matplotlib-1.5.1-2.fc24 for Fedora 24; a corresponding build for Fedora 23 is missing though.
Comment 6 Fedora Update System 2016-04-07 18:31:45 EDT
python-matplotlib-1.5.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8bc6225f
Comment 7 Fedora Update System 2016-04-08 12:53:29 EDT
python-matplotlib-1.5.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8bc6225f
Comment 8 Fedora Update System 2016-04-18 05:13:49 EDT
python-matplotlib-1.4.3-14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6573a89a07
Comment 9 Fedora Update System 2016-04-18 22:23:27 EDT
python-matplotlib-1.4.3-14.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6573a89a07
Comment 10 Fedora Update System 2016-04-24 01:20:59 EDT
python-matplotlib-1.4.3-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-05-07 08:11:31 EDT
python-matplotlib-1.5.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.